
From: Pavel Machek <pavel@suse.cz>

Fix radeonfb and aty128fb on x86_64 by using the correct ifdef.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/aty/aty128fb.c    |    6 +++---
 25-akpm/drivers/video/aty/radeon_base.c |   10 +++++-----
 2 files changed, 8 insertions(+), 8 deletions(-)

diff -puN drivers/video/aty/aty128fb.c~radeonfb-64-bit-fix drivers/video/aty/aty128fb.c
--- 25/drivers/video/aty/aty128fb.c~radeonfb-64-bit-fix	2004-07-26 14:41:38.988956488 -0700
+++ 25-akpm/drivers/video/aty/aty128fb.c	2004-07-26 14:41:38.995955424 -0700
@@ -924,7 +924,7 @@ static void __init aty128_get_pllinfo(st
 
 }           
 
-#ifdef __i386__
+#ifdef CONFIG_X86
 static void *  __devinit aty128_find_mem_vbios(struct aty128fb_par *par)
 {
 	/* I simplified this code as we used to miss the signatures in
@@ -946,7 +946,7 @@ static void *  __devinit aty128_find_mem
         }
 	return rom_base;
 }
-#endif /* __i386__ */
+#endif
 #endif /* ndef(__sparc__) */
 
 /* fill in known card constants if pll_block is not available */
@@ -1950,7 +1950,7 @@ static int __init aty128_probe(struct pc
 
 #ifndef __sparc__
 	bios = aty128_map_ROM(par, pdev);
-#ifdef __i386__
+#ifdef CONFIG_X86
 	if (bios == NULL)
 		bios = aty128_find_mem_vbios(par);
 #endif
diff -puN drivers/video/aty/radeon_base.c~radeonfb-64-bit-fix drivers/video/aty/radeon_base.c
--- 25/drivers/video/aty/radeon_base.c~radeonfb-64-bit-fix	2004-07-26 14:41:38.990956184 -0700
+++ 25-akpm/drivers/video/aty/radeon_base.c	2004-07-26 14:41:38.997955120 -0700
@@ -386,7 +386,7 @@ static int __devinit radeon_map_ROM(stru
 	return -ENXIO;
 }
 
-#ifdef __i386__
+#ifdef CONFIG_X86
 static int  __devinit radeon_find_mem_vbios(struct radeonfb_info *rinfo)
 {
 	/* I simplified this code as we used to miss the signatures in
@@ -415,7 +415,7 @@ static int  __devinit radeon_find_mem_vb
 
 	return 0;
 }
-#endif /* __i386__ */
+#endif
 
 #ifdef CONFIG_PPC_OF
 /*
@@ -2273,13 +2273,13 @@ static int radeonfb_pci_register (struct
 	/*
 	 * On x86, the primary display on laptop may have it's BIOS
 	 * ROM elsewhere, try to locate it at the legacy memory hole.
-	 * We probably need to make sure this is the primary dispay,
+	 * We probably need to make sure this is the primary display,
 	 * but that is difficult without some arch support.
 	 */
-#ifdef __i386__
+#ifdef CONFIG_X86
 	if (rinfo->bios_seg == NULL)
 		radeon_find_mem_vbios(rinfo);
-#endif /* __i386__ */
+#endif
 
 	/* If both above failed, try the BIOS ROM again for mobility
 	 * chips
_
